## gnus 5.11%2Bv0.10.dfsg

=== debian/control ===
Source: gnus
Section: news
Priority: optional
Maintainer: Tommi Vainikainen <thv+debian@iki.fi>
Standards-Version: 3.8.4
Build-Depends: texinfo, debhelper (>= 7), texlive-latex-base, texlive-latex-extra, texlive-font-utils, ghostscript
DM-Upload-Allowed: yes
Vcs-Bzr: http://bzr.debian.org/bzr/users/tvainika-guest/gnus/unstable
Vcs-Browser: http://bzr.debian.org/loggerhead/users/tvainika-guest/gnus/
Homepage: http://www.gnus.org/

Package: gnus
Architecture: all
Priority: optional
Depends: ucf, emacs22 | emacs21 | xemacs21, make, ${misc:Depends}
Conflicts: semi
Recommends: gnutls-bin | openssl, idn
Suggests: w3m-el, netpbm
Provides: news-reader, mail-reader, imap-client
Description: A versatile news and mail reader for Emacsen
 Gnus is a flexible message reader running under Emacs. It supports
 reading and composing both news and mail. In addition, it is able to
 use a number of web-based sources as inputs for its groups. The main
 Gnus goal is to provide the user with an efficient and extensible
 interface towards dealing with large numbers of messages, no matter
 the form they may have or wherever they may come from. Gnus is
 fully MIME-compliant and supports reading and composing messages
 using any charset that Emacs supports.
 .
 Gnus biggest strength is the fact that it is extremely
 customisable. It is somewhat intimidating at first glance, but most
 of the complexity can be ignored until you're ready to take advantage
 of it. If you receive a reasonable volume of e-mail (i.e. you're on
 various mailing lists), or you would like to read high-volume mailing
 lists but cannot keep up with them, or read high volume newsgroups or
 are just bored, then Gnus may be what you want.
 .
 Note: This package contains beta version from No Gnus series. Users 
 of GNU Emacs 23 are better served by Gnus 5.13 included in GNU Emacs 
 23 packages.
