## gnus 5.11+v0.10.dfsg

=== debian/changelog ===
gnus (5.11+v0.10.dfsg-3) unstable; urgency=low

  * Remove references to quilt
  * Rewrite debian/rules by using debhelper.
  * Add lintian override for Emacs 22 dependency.
  * Include gnus-refcard.pdf.
  * Fixed clean-up in postrm, thanks to piuparts.

 -- Tommi Vainikainen <thv+debian@iki.fi>  Tue, 09 Mar 2010 11:05:38 +0200

gnus (5.11+v0.10.dfsg-2) unstable; urgency=low

  * Switch to quilt from dpatch, and to '3.0 (quilt)' source format.
  * Add README.source documenting source patching.
  * Info-dir updates are now handled automatically by triggers.
  * Clarify Gnus and Emacs versions in package description and more
    verbose in README.Debian (Closes: #552210).
  * Fix site-start.d correctly by having only one version of gnus
    initialization elisp in /etc/emacs/site-start.d instead of one in each
    emacs flavor specific dir.
  * Recommends (not only Suggests) TLS/SSL tools and idn (Closes: #557346).
  * Use secure location for temporary install.log (Closes: #372300).

 -- Tommi Vainikainen <thv+debian@iki.fi>  Fri, 27 Nov 2009 15:56:26 +0200

gnus (5.11+v0.10.dfsg-1) unstable; urgency=low

  * Adopt the package. Closes: #527356
  * New upstream release No Gnus 0.10. Closes: #415562, #490688
  * debian/rules, debian/copyright: Add target get-orig-source, and
    document remaining DFSG clean docs.
  * Support GNU Emacs 22. Closes: #432143, #432644
  * Fix typo in long description. Closes: #391267
  * debian/watch: Fix version mangling.
  * Provide imap-client, not imap-agent. Closes: #413385
  * Add Homepage link.
  * Move site-start.d cleanup from postrm to emacsen.remove. Closes: #428239

 -- Tommi Vainikainen <thv+debian@iki.fi>  Fri, 23 Oct 2009 10:02:30 +0300

gnus (5.11+v0.5.dfsg-3) unstable; urgency=low

  * debian/postrm: wrap call to ucf in a check for it's existence and
    executability.  Closes: #389977

 -- James Troup <james@nocrew.org>  Tue,  3 Oct 2006 00:05:16 +0100

gnus (5.11+v0.5.dfsg-2) unstable; urgency=low

  * debian/preinst: remove any dangling
    /etc/xemacs21/site-start.d/20gnus-init.el that specifically point at
    /usr/share/emacs/site-lisp/gnus/gnus-init.el which was allegedly left
    there by an older version of this package.  Based on a patch by
    "Steinar H. Gunderson" <sgunderson@bigfoot.com>.  Closes: #339541
  * debian/rules (binary-indep): install preinst.

 -- James Troup <james@nocrew.org>  Thu, 20 Jul 2006 22:59:55 +0100

gnus (5.11+v0.5.dfsg-1) unstable; urgency=low

  * New upstream release.
   * The following changes are based on patches from Daniel
     'NebuchadnezzaR' Dehennin.
   * 01_news-paths.dpatch: no longer need to patch message.el. Closes: #365367
   * debian/rules: Update to match upstream restructuring of pixmaps.
     Closes: #365369

  * debian/control (Standards-Version): update to 3.7.2.0.

 -- James Troup <james@nocrew.org>  Wed,  7 Jun 2006 04:32:55 +0100

gnus (5.11+v0.4.dfsg-1) unstable; urgency=low

  * New upstream release.
  
  * Remove GFDL documents from upstream source and generate a new tarball,
    thanks to Manoj Srivastava.  Closes: #334909

  * Adopt package.  Closes: #364609
  * debian/copyright: update for new maintainer.
  * debian/control (Maintainer): likewise.

  * debian/rules: rewritten as a single file based off of Manoj's work,
    but in a style I'm more familiar and comfortable with.  Changes that
    affect the resulting binary package are: don't install unused
    /etc/emacs/site-start.d and /usr/share/doc-base directories.  Don't
    install lintian override for description.  Compress contents of
    contrib/ directory in /usr/share/doc/gnus/.

  * debian/common/*, debian/local-vars.mk, debian/local.mk,
    debian/stamp/*, debian/templates, debian/templates.master: now unused
    - removed.
  
  * debian/{arch}, debian/.arch-ids: likewise unused - removed.
  * debian/gnus-init.el: remove arch tag.

  * debian/postinst: strip unused/commented-out code.  Don't test for
    files existence before 'rm -f'-ing them.
  * debian/postrm: likewise.
  * debian/prerm: likewise.
  
  * debian/README: update.

  * debian/NEWS.Debian: removed.
  * debian/config, debian/preinst, debian/po/*: likewise.
  * debian/control (Pre-Depends): don't need to pre-depend on debconf
    anymore.
  * debian/control (Build-Depends-Indep): drop po-debconf.
  * debian/postinst: drop use of debconf.
  * debian/postrm: likewise.

  * debian/copyright: fix upstream URL.
  * debian/control (Description): rewritten based on upstream webpage
    descriptions.
  
  * debian/control (Build-Depends): add dpatch.
  * 01_news-paths.dpatch: new patch, split out of original diff.gz.
  * 02_debian-list-archives.dpatch: likewise.

  * debian/emacsen.install: remove unused code and variables, fix typo.
  * debian/emacsen.remove: likewise.

  * debian/postrm: run ucf --purge on the various flavours 20gnus-init.el
    files when purging.

 -- James Troup <james@nocrew.org>  Thu, 27 Apr 2006 00:28:05 +0100

gnus (5.10.6-1.NO.20051213-1) unstable; urgency=low

  * New upstream CVS HEAD
  * Bug fix: "mh-e fails to load, &quot;void-variable
    message-mark-insert-begin&quot;", thanks to Christopher J Peikert
    This has been fixed in CVS (no longer have mm-uu depend on message) 
                                                       (Closes: #342326).
  * Bug fix: "gnus: immediate failure when loading mm-uu", thanks to
    Olivier Lecarme This has been fixed in CVS (no longer have mm-uu
    depend on message)                                 (Closes: #342521).
  * Bug fix: "mh-e: does not configure with emacs-snapshot", thanks to
    Laurent Bonnaud                                     (Closes: #342647).

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 13 Dec 2005 20:09:09 -0600

gnus (5.10.6-1.NO.20051203-1) unstable; urgency=low

  * New upstream CVS HEAD
  * Make sure the package is not byte compiled twice.

 -- Manoj Srivastava <srivasta@debian.org>  Sat,  3 Dec 2005 17:49:37 -0600


