=== debian/rules ===
#!/usr/bin/make -f
# Copyright 1994,1995 by Ian Jackson.
# Copyright 2006 by James Troup.
# Copyright 2009 Tommi Vainikainen.
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified

config.status:
	dh_testdir
	./configure --verbose --prefix=/usr

build: config.status
	dh_testdir
	$(MAKE) info
	cd texi && $(MAKE) gnus-refcard.pdf

binary-indep: build
	dh_testroot
	dh_prep
	dh_installdirs
	dh_installemacsen --priority=20

	dh_install config.status usr/share/emacs/site-lisp/gnus
	dh_install lisp/*.el lisp/Makefile* usr/share/emacs/site-lisp/gnus/lisp

	dh_install etc/images/gnus/*.xpm  etc/images/gnus/*.xbm \
		etc/images/gnus/*.pbm etc/images/gnus/*.xface \
		etc/images/gnus/x-splash \
		usr/share/pixmaps/gnus
	(cd debian/gnus/usr/share/emacs/site-lisp/etc/images/gnus; \
            for file in ../../../../../pixmaps/gnus/*; do \
              ln -s $$file .; \
           done; )
	dh_install etc/images/smilies/*.xpm etc/images/smilies/*.pbm \
		usr/share/pixmaps/smilies
	(cd debian/gnus/usr/share/emacs/site-lisp/etc/images/smilies; \
            for file in ../../../../../pixmaps/smilies/*; do \
              ln -s $$file .; \
           done; )
	dh_install etc/images/smilies/grayscale/*.xpm \
		usr/share/pixmaps/smilies/grayscale
	dh_install etc/images/smilies/medium/*.xpm usr/share/pixmaps/smilies/medium

	dh_installchangelogs lisp/ChangeLog
	dh_installdocs -X.cvsignore
	dh_installinfo
	dh_compress -X.pdf
	dh_lintian
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_builddeb

binary-arch:
binary:	binary-indep binary-arch

clean:
	dh_testdir
	dh_testroot
	rm -f config.log config.status
	dh_auto_clean
	dh_clean

get-orig-source:
	cd .. && wget ftp://quimby.gnus.org/pub/gnus/ngnus-0.10.tar.gz
	tar xzf ../ngnus-0.10.tar.gz
	rm ../ngnus-0.10.tar.gz
	: # Now remove non-free material:
	(cd ngnus-0.10; \
	 # gnus: GFDL 1.2+ with Front-Cover and Back-Cover \
	 rm -f texi/gnus.texi \
	 # emacs-mime: GFDL 1.2+ with Front-Cover and Back-Cover \
	 rm -f texi/emacs-mime.texi \
	 # sieve: GFDL 1.2+ with Front-Cover and Back-Cover \
	 rm -f texi/sieve.texi \
	 # gnus-coding: GFDL 1.2+ with Front-Cover and Back-Cover \
	 rm -f texi/gnus-coding.texi \
	 # message: GFDL 1.2+ with Front-Cover and Back-Cover \
	 rm -f texi/message.texi \
	)
	mv ngnus-0.10 gnus-5.11+v0.10.dfsg
	tar -cf ../gnus-5.11+v0.10.dfsg.orig.tar gnus-5.11+v0.10.dfsg
	rm -fr gnus-5.11+v0.10.dfsg
	gzip -9fn ../gnus-5.11+v0.10.dfsg.orig.tar

.PHONY: build clean binary-indep binary-arch binary
