=== debian/watch ===
version=3
opts=dversionmangle=s/\d\.\d+\+v(.*)\.dfsg/$1/ \
  http://quimby.gnus.org/gnus/dist/ngnus-(.*)\.tar\.gz
